Subject: Re: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2015 15:49:10 +0200

> From: Vincent Belaïche <[email-masked]> 
> Date: Fri, 30 Oct 2015 12:53:31 +0100
> Cc: Vincent Belaïche <[email-masked]>
> 
> 
> I am trying to build from repo. I am on MSWindows 7 with MSYS W64.
> Here is what happens:
> 
>       $ ./autogen.sh
>      -| Checking whether you have the necessary tools...
>      -| (Read INSTALL.REPO for more details on building Emacs)
>      -|
>      -| Checking for autoconf (need at least version 2.65)...
>      -| ok
>      -| Checking for automake (need at least version 1.11)...
>      -| ok
>      -| Your system has the required tools.
>      -| Running 'autoreconf -fi -I m4' ...
>      -| ' is already registered with AC_CONFIG_FILES.
> error-> ../../lib/autoconf/status.m4:288: AC_CONFIG_FILES is expanded from...
> error-> configure.ac:5261: the top level
> error-> autom4te: failed to run /usr/bin/m4: Bad file number
> error-> aclocal: error: echo failed with exit status: 1
> error-> autoreconf: failed to run aclocal: Bad file number

Your Automake/Autoconf installation is not an MSYS installation, but a
native Windows one, so it produces Windows CRLF EOLs, and that
confuses all kinds of scripts and/or utilities that are involved in
the configure process.  Or maybe some of the utilities invoked by
Automake/Autoconf are not MSYS utilities (check your PATH).

You can find Automake/Autoconf suitable for building Emacs on the
ezwinports site.

IOW, this is a cockpit error.